Update
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /repository
- /pulls
- /:number
Updates an existing pull request in the repository
Request
REQUIRED SCOPES
REPOSITORY_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
numberrequiredinteger
The pull request numberExample: 5
BODY PARAMETERS
titlestring
The title of the pull requeststatestring
The state of the pull request (OPEN, CLOSED, MERGED)descriptionstring
The description of the pull requestdraftboolean
Indicates whether the pull request is a draftlabelsstring[]
The labels assigned to the pull requestConstraints: Unique items required
Response
RESPONSE BODY
urlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksnamestring
The pull request reference name (e.g., 'pull/5')numberinteger
The pull request numbergithub_html_urlstring
The HTML URL to the pull request on GitHubstatestring
The state of the pull request (OPEN, CLOSED, MERGED)titlestring
The title of the pull requestdescriptionstring
The description of the pull requestbasestring
The name of the base branch (the branch the changes are merged into)headstring
The name of the head branch (the branch containing the changes)head_shastring
The revision of the last commit on the head branchdraftboolean
Indicates whether the pull request is a draftmergeablestring
Indicates whether the head branch can be merged into the base branch without conflicts (MERGEABLE, CONFLICTING, UNKNOWN)aheadinteger
The number of commits on the head branch that are not on the base branch; empty when unknownbehindinteger
The number of commits on the base branch that are not on the head branch; empty when unknowncreate_datestring
The date when the pull request was createdlast_update_datestring
The date when the pull request was last updatedmerged_datestring
The date when the pull request was mergedclosed_datestring
The date when the pull request was closedlabelsstring[]
The labels assigned to the pull requestConstraints: Unique items required
assigneesstring[]
The logins of the users assigned to the pull requestreviewersstring[]
The logins of the users requested to review the pull requestoriginstring enum
The provider of the pull request: BUDDY for pull requests in repositories hosted in Buddy, otherwise the integrated Git providerAllowed enum:
BUDDY,GITHUB,GITHUB_ENTERPRISE,GITLAB,GITLAB_ENTERPRISE,BITBUCKET,CUSTOMLast modified on Sep 29, 2026
Request example
CURLcurl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/repository/pulls/:number" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS200 OK